"use strict";
exports.__esModule = true;
var CxScanConfigCall_1 = require("../main/CxScanConfigCall");
var CxAuthCall_1 = require("../main/CxAuthCall");
var CxParamType_1 = require("../main/CxParamType");
var cxScanConfig = new CxScanConfigCall_1.CxScanConfigCall();
cxScanConfig.baseUri = "https://eu.ast.checkmarx.net";
cxScanConfig.clientId = "ast-github-action";
cxScanConfig.clientSecret = "1985057d-7479-4a01-82c0-06d0edc41228";
var params = new Map();
params.set(CxParamType_1.CxParamType.PROJECT_NAME, "JayWrapperTest");
params.set(CxParamType_1.CxParamType.SCAN_TYPES, "sast");
//params.set(CxParamType.ADDITIONAL_PARAMETERS," --sast-preset-name \"Checkmarx Default Jay\"");
params.set(CxParamType_1.CxParamType.SAST_PRESET_NAME, "Checkmarx Default");
params.set(CxParamType_1.CxParamType.S, ".");
var auth = new CxAuthCall_1.CxAuthCall(cxScanConfig);
//const result = auth.scanCreate(params);
describe("ScanCreate Test successful case", function () {
    it("Return scan object", function () {
        return auth.scanCreate(params).then(function (data) {
            var obj = JSON.parse(data);
            expect(obj.Status).toContain("Queued");
        });
    });
});
